• ベストアンサー
  • すぐに回答を!

Emacsとyatexのアンインストール

MacOSX 10.8を使用しています。ターミナルで以下のコマンドを実行してEmacsをインストールしたあと、こちら(http://d.hatena.ne.jp/shokim/20110419/1303170232)を参考にして最新版のyatexをインストールしました。Emacsとyatexをアンインストールするにはどうすればよいでしょうか? curl -O *ttp://ftp.gnu.org/pub/gnu/emacs/emacs-24.1.tar.gz svn co http://svn.sourceforge.jp/svnroot/macemacsjp/inl … inline_patch tar xvfz emacs-24.1.tar.gz cd emacs-24.1 patch -p0 < ../inline_patch/emacs-inline.patch ./configure --with-ns --without-x make bootstrap make install

共感・応援の気持ちを伝えよう!

質問者が選んだベストアンサー

  • ベストアンサー
  • 回答No.4
  • kmee
  • ベストアンサー率55% (1857/3366)

調べ方、書いてますけど? C-h v load-path って。 このような表記の意味がわからないなら、こちらとかを参照 emacsのマニュアルや参考書、参考サイトを読むと必ず出てくるものなので、覚えましょう。 http://www.bookshelf.jp/texi/emacs-man/21-3/jp/emacs_5.html#SEC16 http://www.bookshelf.jp/texi/emacs-man/21-3/jp/emacs_9.html load-pathへの追加方法も検索すればすぐわかります。 emacsは多機能な分、少々難しいです。 使い続けるつもりなら、参考書等で一通り学習することをお勧めします。

共感・感謝の気持ちを伝えよう!

その他の回答 (3)

  • 回答No.3
  • kmee
  • ベストアンサー率55% (1857/3366)

1は使ってないので、わかりません 2のエラーで、真っ先に考えられるのは、 load-path が不適切で、目的の.el、あるいは.elcが見つけられない、というものです。 C-h v load-path とでもして確認してください。

共感・感謝の気持ちを伝えよう!

質問者からの補足

何をどう確認したら良いのでしょうか?対処法まで教えていただけると助かります。

  • 回答No.2
  • kmee
  • ベストアンサー率55% (1857/3366)

> .emacs.dごと消しても問題ありませんか? 2度とemacsを使わないなら、消してもかまいません。 次に使うときに、最初から設定を全部やりなおすときも問題ありません。 Emacs自体は使うのなら、YaTeXに関係する記述だけ無効にします。 ところで、「うまく動作しない」とは具体的にどのようになったのでしょう? その参考にした、というブログには >emacs test.tex とありますが、これだと、App版ではなく、MacOSXに最初からインストールされているコマンドライン版の/usr/bin/emacsが実行されるような気がするのですが。

共感・感謝の気持ちを伝えよう!

質問者からの補足

実行する際は open -a Emacs.app としてEmacs.app内でtest.texを作成しました。 Emacsは今後も使う予定ですが、今のところ~/emacs.d/init.elにはyatexの設定しか書いてないので問題無いとは思いましたが、emacs.d内の他のファイルも消していいのか分からなかったので質問しました。 yatexが動かなかったのでMacOSX WorkShopを使ってインストールしようと思ってすでにインストールしたEmacsとyatexをアンインストールしたかったのですが、WorkShopのMountain Lion版はまだ開発中でした。そこで追加で質問させてください。 1. texはMacTeXでインストール済みなのですが、WorkShopでEmacsとYaTeXだけをインストールすることは可能でしょうか? 2. 参考にしたブログの通りにインストールしてEmacsでtest.texを開くと file error "Cannot open load file " "yatex" というエラーが表示されました。エラーの原因は何が考えられますか?

  • 回答No.1
  • kmee
  • ベストアンサー率55% (1857/3366)

・emacsの方は、Emacs.appをゴミ箱に捨てる。 ・yatexはどのやりかたでインストールしたかわからないので、回答できません。 通常は関係する.el, .elc を削除するだけ。 別のemacsを引き続き使用するなら、~/.emacs や ~/,emacs.d/init.el 等からyatex関連の設定を削除する。

共感・感謝の気持ちを伝えよう!

質問者からの補足

yatexはバージョン以外は上記のURLのやり方と同じです。ただし、きちんと動作はしてくれませんでした。.emacs.dごと消しても問題ありませんか?

関連するQ&A

  • Emacsのインストール

    Mac OSXでEmacsをインストールしたのですが、ビルドを行った場所にできたディレクトリの扱いに困っています。 やったことはターミナルで以下のコマンドを実行しました。 curl -O http://ftp.gnu.org/pub/gnu/emacs/emacs-24.1.tar.gz svn co http://svn.sourceforge.jp/svnroot/macemacsjp/inl … inline_patch tar xvfz emacs-24.1.tar.gz cd emacs-24.1 patch -p0 < ../inline_patch/emacs-inline.patch ./configure --with-ns --without-x make bootstrap make install するとEmacs.appがビルドしたディレクトリ以下/nextstep/Emacs.appにできたのでこれをApplicationフォルダに移動したのですが、ビルドしたディレクトリ以下にできた残りのファイルなどは消してもいいのでしょうか?

  • ソースからmakeをインストール。どうすれば?

    こんばんわ。 ただいま、sparcマシンでサーバを構築している最中ですが、 ソースからmakeをインストールする方法がよくわかりません。 $ wget ftp://sunsite.tus.ac.jp/pub/archives/gnu/make/make-3.80.tar.gz $ tar -xvzf make-3.80.tar.gz $ cd make-3.80 $ ./configure --prefix=/usr/local $ make の後、パッケージ版のmakeをアンインストールする $ su Password:******** # pkgrm SMCmake ところまではうまくいったのですが、 「ソース内にあるmakeを使ってインストールする」という部分がよくわかりません。 どのmakeコマンドを使えばよろしいのでしょうか? findコマンドをみたのですが、思い当たるコマンドはありませんでした。 ご教授のほどお願いします。

  • configure error

    WindowsXPのパソコンの環境で、Cygwinをインストールした後GNU Make(make-3.80.tar.gz)をインストールしているところです。make-3.80.tar.gzは解凍できましたが、./configureしたところ、"configure: error:no acceptable C compiler found in $PATH"というエラーが出ました。どうすればいいんですか?

  • OpenOfficeのインストール

    OpenOfficeのインストールを試みたんですが、 $ tar xvfz OOo_1.1.0_LinuxIntel_install_ja_tar.gz  ファイルを解凍できません。 ダウンロードしたものはデスクトップに置いてあります。 VineLInux ほかに何が必要な環境はありますでしょうか。 よろしくお願いします。

  • GCCコンパイラ作成時にmemory.hも作成する方法

    GCCコンパイラ作成時にmemory.hも作成する方法 TOPPERS/JSPのコンフィグレーションツールを ビルドしたく、ビルド実績のあると耳にした GCC3.4.4をCygwin上に作成しました。 GCC3.4.4は以下の3つから作成しました。 ・binutils-2.16.tar.bz2 ・gcc-3.4.4.tar.bz2 ・newlib-1.14.0.tar.gz GCC3.4.4の作成手順は、Web上に掲載されている手順を 参考にして、以下の通り実施しました。 ■binutilsのインストール $ tar zxvf ./binutils-2.16.tar.gz $ cd binutils-2.16 $ ./configure --target=i686-elf --prefix=/cygdrive/c/cygwin/usr/local/gnu $ make $ make install ■gccのインストール $ tar xvjf ./gcc-3.4.4.tar.bz2 $ tar zxvf ./newlib-1.14.0.tar.gz $ export PATH=$PATH:cygdrive/c/cygwin/usr/local/gnu/bin/ $ cd gcc-3.4.4 $ ./configure --target=i686-elf --prefix=/cygdrive/c/cygwin/usr/local/gnu --with-newlib --with-headers=/cygdrive/c/cgywin/usr/local/src/gnu/newlib-1.14.0/newlib/libc/include/ --disable-bootstrap --enable-languages="c,c++" $ make $ make install しかしながら上記の手順で作成すると、コンパイラ作成時に memory.hが作成されません。 そのため、コンフィグレーションツールのビルドが成功しません。 そこで、教えていただきたいのですが、 そもそもGCC3.4.4のコンパイラを作成する際にmemory.hも一緒に作成し、 GCC3.4.4のg++がインクルードする設定にできるのでしょうか? できる場合は、作成に必要な手順を是非とも教えてください。

  • xgalagaがインストールできない

    vine2.6をインストールしました。 いぜんknoppixを起動させたときに入っていた 「xgalaga」が面白かったので、 ネットをさまよい、 xgalaga-1.6c.tar.gz xgalaga-2.0.tar.gz という2つのファイルを見付けました。 いろいろ調べたのですがどちらもうまくインストールできません。 ---1.6c---- tar zxvf xgalaga-1.6c.tar.gz cd xgalaga-1.6c xmkmf make make install と、書いてあるのですが、makeのところからエラーが出ます。 ---2.0---- tar zxvf xgalaga-2.0.tar.gz cd xgalaga-2.0 autoconf ./configure make make install こちらも、makeで失敗します。 どうすれば、インストールできるんでしょう? googleで調べたのですが、古い情報ばかりです。 お分かりになるかた、是非教えて下さい

  • gcc-2.95.3.tar.gz等をコンパイルしてインストールしたいのですが

    Linux初心者です、すいません。m(__)m make-3.80.tar.gz binutils-2.14.tar.gz gcc-2.95.3.tar.gz gcc-g++-2.95.3.tar.gz glibc-2.3.4.tar.gz これらのパッケージをコンパイルしインストールしたいのですが何から始めたらよいでしょうか・・・? ご教授おねがいいたします。

  • Squidがインストール出来ません??

    RedHatを古いパソコンにインストールをして、mailとtelnetのインストールは無事に完了したんですが、 プロシキサーバーのソフトがインストール出来ません。 何が問題なんでしようか。教えて下さい。 $ cd /usr/local/srcの場所に $ gtar xvfz /usr/local/src/squid-3.0.PRE3-20050218.tar.gz $ cd squid-3.0.PRE3-20050218 $ ./configure ここまでは、成功したと思いますが、 $ make がエラーで止まってしまいます。 なぜですか。

  • libart-2のインストールができない

    CentOS5にlibartをインストールしようとしているのですが、 # rpm -e --nodeps libart # tar zxvf libart-2.3.3.tar.gz # cd libart-2.3.3.tar.gz # ./configure # make # make install としましたが /usr/include/libart-2.0ができません。 何度やってもできません。 どうしたらいいのでしょうか?

  • Fedora 9へのOpenGLのインストールについて

    Fedora 9 にグラフィックスライブラリのOpenGLをインストールしているところです。mesaのHP(http://www.mesa3d.org/)に指示されているprimary download site: SourceForgeからファイルのダウンロード、再下段のProceed to the compilation and installation instructions. へと進みました。 ダウンロードしたファイルは、 MesaLib-7.2.tar.gz MesaDemos-7.2.tar.gz MesaGLUT-7.2.tar.gz です。 これらをtar xzvfで解凍すると、Mesa-7.2というフォルダができ、そこで、HPの指示に従い、 make linux-x86 としました。./config, make, make installといういつもの3点セットではありません。make linux-x86の結果、OpenGLライブラリが/libにできるということですが、できませんでした。makeのメッセージ的には問題ないのですが。 ところが、.../Mesa-7.2/progs/demosにはデモファイルがあり、デモの実行は(一部を除いて)可能でした。OpenGLだったらスムーズな動きになるはずですが、自分が見ている動画が正常なのか分かりません。見るに堪えないというものではありませんが、OpenGLがきちんとインストールされたらもっとスムーズなのかもしれません。ちゃんとインストールできているかどうか不安です。ライブラリは/libにはありませんが、.../Mesa-7.2/libには収まっています。OpenGLはどのユーザにも提供したいのですが、/libにライブラリがないので環境設定などができないと思います. OpenGLのインストール手順とか動作について教えて下さい。よろしくお願いします.